#!/bin/csh
if ($?NX_LD_PRELOAD) then
  if ($?LD_PRELOAD) then
    if ( $NX_LD_PRELOAD != $LD_PRELOAD ) then
      setenv LD_PRELOAD "${NX_LD_PRELOAD}:${LD_PRELOAD}"
    endif
  else
    setenv LD_PRELOAD $NX_LD_PRELOAD
  endif
endif

if ($?NX_LD_LIBRARY_PATH) then
  if ($?LD_LIBRARY_PATH) then
    if ( $NX_LD_LIBRARY_PATH != $LD_LIBRARY_PATH) then
      setenv LD_LIBRARY_PATH "${NX_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH}"
    endif
  else
    setenv LD_LIBRARY_PATH $NX_LD_LIBRARY_PATH
  endif
endif
